[med-svn] [Git][med-team/orthanc-wsi][master] preparing for 3.3+dfsg-5
Sebastien Jodogne (@jodogne-guest)
gitlab at salsa.debian.org
Mon Apr 20 07:21:01 BST 2026
Sebastien Jodogne pushed to branch master at Debian Med / orthanc-wsi
Commits:
4a24ce3b by jodogne-guest at 2026-04-20T08:14:37+02:00
preparing for 3.3+dfsg-5
- - - - -
2 changed files:
- debian/changelog
- debian/tests/run-dicom-image-transcode-test
Changes:
=====================================
debian/changelog
=====================================
@@ -1,3 +1,10 @@
+orthanc-wsi (3.3+dfsg-5) unstable; urgency=medium
+
+ * In run-dicom-image-transcode-test, use separate file descriptors for
+ the background Orthanc process
+
+ -- Sebastien Jodogne <s.jodogne at gmail.com> Mon, 20 Apr 2026 07:43:01 +0200
+
orthanc-wsi (3.3+dfsg-4) unstable; urgency=medium
* Fix run-dicom-image-transcode-test, which was not properly waiting
=====================================
debian/tests/run-dicom-image-transcode-test
=====================================
@@ -32,8 +32,8 @@ sudo pkill -x Orthanc || true
# Start Orthanc, but not as a service to use the custom configuration (*)
-sudo /usr/sbin/Orthanc ./configuration.json --verbose &
-
+# Use separate file descriptors than those of autopkgtest to avoid filling the pipe buffer
+sudo /usr/sbin/Orthanc ./configuration.json --verbose > "${AUTOPKGTEST_TMP}/orthanc.log" 2>&1 &
# Try for 15 seconds to find the REST API of Orthanc in a healthy state
tries=15
@@ -50,11 +50,10 @@ set -e
# Transcode data and push to server
+set +e # Don't stop on errors
OrthancWSIDicomizer CMU-1-Small-Region.tiff --orthanc=http://localhost:8042
-
-if [ $? -eq 0 ]; then
- echo "TIFF transcoded and pushed to Orthanc server"
-fi
+result=$?
+set -e
# Stop Orthanc, which was not started as a service (*)
@@ -62,11 +61,23 @@ curl http://localhost:8042/tools/shutdown -X POST
count=0
while pgrep -x Orthanc > /dev/null; do
- if [ "$count" -ge 30 ]; then
- echo "Error: Orthanc did not stop after 30 seconds" >&2
- exit 1
- fi
+ pgrep -a Orthanc # For debugging
+ if [ "$count" -ge 60 ]; then
+ echo "Orthanc still alive after 60s, sending SIGKILL" >&2
+ sudo pkill -9 -x Orthanc || true
+ break
+ fi
sleep 1
count=$((count + 1))
done
+
+
+# Check the result
+if [ "$result" -eq 0 ]; then
+ echo "TIFF transcoded and pushed to Orthanc server"
+ exit 0
+else
+ echo "ERROR: TIFF was not correctly transcoded and pushed to Orthanc server, with $result"
+ exit 1
+fi
View it on GitLab: https://salsa.debian.org/med-team/orthanc-wsi/-/commit/4a24ce3b1828a550d9fea5a833b6061460e10945
--
View it on GitLab: https://salsa.debian.org/med-team/orthanc-wsi/-/commit/4a24ce3b1828a550d9fea5a833b6061460e10945
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20260420/ef31ee81/attachment-0001.htm>
More information about the debian-med-commit
mailing list